Subject: Re: [PATCH wpan-next 3/3] ieee802154: Trace the registration of new PANs

From: Miquel Raynal <[email-masked]>
Date: Mon, 7 Nov 2022 09:49:29 +0100

Hi Alexander,

[email-masked] wrote on Sun, 6 Nov 2022 20:36:21 -0500:

> Hi,
> 
> On Wed, Nov 2, 2022 at 11:20 AM Miquel Raynal <[email-masked]> wrote:
> >
> > From: David Girault <[email-masked]>
> >
> > Add an internal trace when new PANs get discovered.  
> 
> I guess this will not be the API for the user that there is a PAN
> discovered? Is it only for debugging purposes? There will be an
> nl802154 event for this? As we discussed previously with additional
> commands for start, discovered, etc.?
> 
> I am sorry, maybe I can read that somewhere on your previous patch
> series, just want to be sure.

Yeah no problem, so yes, as you eventually saw in patch 1/3, the
internal tracing is just here for in-kernel debugging purposes, it's in
no way related to the user interface. It's a 2015 feature, we're just
adding support for tracing the new commands.

Let's discuss the nl user interface in the other thread.

Thanks,
Miquèl